---
layout: default
title: Lookbook Overview
---

Lookbook is a tool to help develop, test and document [ViewComponents](https://viewcomponent.org) in isolation.

It provides a UI to let you browse your component library and preview your components alongside code samples and documentation.

Lookbook is built on top of ViewComponent's native [preview classes](https://viewcomponent.org/guide/previews.html) so works out-of-the-box for new and existing projects alike.

{%= note :info do %}
**This documentation is for Lookbook v1.0+**. Documentation for older releases can be found in the [0.9.x branch of the Lookbook repo &rarr;](https://github.com/ViewComponent/lookbook/tree/0.9.x)
{% end %}

{{ image "lookbook_inspector_screenshot.png" }}

---

## Lookbook Demo

If you want to have a quick play with Lookbook, the easiest way is to [give the demo app]({{ site.data.external.demo.url }}) a spin. It's a basic Rails/ViewComponent app with a few test components included to tinker with.

[{{ site.data.external.demo.url }}]({{ site.data.external.demo.url }})

If you'd rather dig in a bit more and run the demo app locally, the [demo repo]({{ site.data.external.demo.repo }}) contains instructions on how to get it up and running.

---

## Who uses Lookbook?

* [Aluuno](https://aluuno.com/)
* [Clio](https://www.clio.com/)
* [CoverageBook](https://coveragebook.com/)
* [FreeAgent](https://www.freeagent.com/)
* [Gitlab](https://www.gitlab.com/)
* [GitHub](https://www.github.com/)
* [Podia](https://www.podia.com/)
* [Polaris ViewComponents](https://github.com/baoagency/polaris_view_components)
* [Within3](https://within3.com/)
* [Wrapbook](https://wrapbook.com/)
* And [many more...](https://github.com/ViewComponent/lookbook/network/dependents?package_id=UGFja2FnZS0xMDM0MzQ1)

Using Lookbook? [Send a pull request](https://github.com/ViewComponent/lookbook/edit/main/docs/src/guide/index.md) to update this list!

---

## Related blog posts

* [ViewComponent in the Wild II: supercharging your components](https://evilmartians.com/chronicles/viewcomponent-in-the-wild-supercharging-your-components)
* [From partials to ViewComponents: writing reusable front-end code in Rails](https://dev.to/nejremeslnici/from-partials-to-viewcomponents-writing-reusable-front-end-code-in-rails-1c9o)

<br>


{{ toc }}
